
%define real_ver 0.6
#define cvs cvs20050930

Summary: A project allowing GTK to use Qt widget styles.
Name: 	 gtk-qt-engine 
Group:	 User Interface/Desktops
Version: 0.60
Release: 8%{?dist}

License: GPL
URL:     http://www.freedesktop.org/Software/gtk-qt
#Source: gtk-qt-engine-%{cvs}.tar.bz2
Source:  http://www.freedesktop.org/~davidsansome/gtk-qt-engine-0.6.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

#### reported Bugs, patches
## fix x86_64 build, requires auto-tools
## (already fixed in upstream cvs)
Patch0: gtk-qt-engine-x86_64.patch
## GTK/QT + Baghira = lots of problems
## (gtk-qt-engine-cvs20050930 + baghira-0.71 crashes firefox/gimp)
## http://bugs.freedesktop.org/show_bug.cgi?id=2349
#Patch2349:
## segfault in libqtengine.so drawing notebook
## https://bugs.freedesktop.org/show_bug.cgi?id=3919
Patch3919: gtk-qt-engine-3919.patch
## GTK-Qt engine causes crashes with Cairo GTK:
## http://bugs.freedesktop.org/show_bug.cgi?id=3983
Patch3983: gtk-qt-engine-3983.patch
## missing toolbar icons
## http://bugs.freedesktop.org/show_bug.cgi?id=4904
#Patch4904: 
## build fails w/gcc-2.9x:
## http://bugs.freedesktop.org/show_bug.cgi?id=4676
Patch1: gtk-qt-engine-gcc29.patch
## don't dup GTK-QT in kde menu(s)
Patch2: gtk-qt-engine-0.6-dt.patch

BuildRequires: automake17

BuildRequires: gtk2-devel >= 2.2
BuildRequires: libbonoboui-devel

BuildRequires: qt-devel >= 1:3.3
BuildRequires: kdelibs-devel >= 6:3.3
BuildRequires: libpng-devel


%description
The GTK-Qt Theme Engine is a project allowing GTK to use Qt widget styles.

It behaves like a normal GTK theme engine, but calls functions from Qt 
instead of doing the drawing itself. 


%prep
%setup -q  -n %{name}%{!?cvs:-%{real_ver}}

%{!?cvs:%patch0 -p0 -b .x86_64}
%{?gcc296:%patch1 -p1 -b .gcc29}
%patch2 -p1 -b .dt
%patch3919 -p1 -b .3919
%patch3983 -p1 -b .3983

#if [ ! -f configure -o ! -z "%{?cvs}" ]; then
make -f admin/Makefile.common cvs
#fi


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final

make %{?_smp_mflags}



%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# locale's
%find_lang gtkqtengine || touch gtkqtengine.lang

# Unpackaged files
rm -rf $RPM_BUILD_ROOT%{_prefix}/lib/menu

%clean
rm -rf $RPM_BUILD_ROOT


%files -f gtkqtengine.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_datadir}/themes/Qt/
%{_datadir}/gtk-qt-engine/
%{_datadir}/applications/*.desktop
%{_datadir}/applnk/Settings/LookNFeel/*.desktop
%{_libdir}/gtk-2.0/*/engines/*
%{_libdir}/kde3/kcm_*.*


%changelog 
* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-8
- Unpackaged file %%_libdir/menu -> %%_prefix/lib/menu

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Mon Jan 23 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-7
- don't dup "GTK Styles and fonts" in KDE menu(s)
- drop Req: kdebase

* Wed Oct 26 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-5
- revert to 0.6.
- Req: kdebase
- cleanout unused crud
- fix gtk/cairo crasher (fdo bug #3214)
- segfault in libqtengine.so drawing notebook (fdo bug #3919)

* Wed Oct 26 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-4.cvs
- update to cvs to see if it helps ooo (and others)

* Fri Aug  5 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-3
- drop bogus BR: libjpeg-devel libmng-devel
- x86_64 patch (and BR: autoconf automake17)

* Fri Aug  5 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-2
- respin (2nd attempt at make plague)

* Wed Apr  8 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-1
- cleanup for Extras
- 0.6 (#153976)

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Feb 12 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0.41-5
- Add patch to fix compile-error on x86_64; Patch was found in a suse srpm

* Tue Jul 13 2004 Rex Dieter <rexdieter at sf.net> 0.41-0.fdr.4
- workarounds for missing deps in stock qt-devel/kdelibs-devel
  BR: libmng-devel libjpeg-devel

* Tue Jul 13 2004 Rex Dieter <rexdieter at sf.net> 0.41-0.fdr.3
- nuke /usr/lib/menu stuff

* Tue Jul 13 2004 Rex Dieter <rexdieter at sf.net> 0.41-0.fdr.2
- BR: libpng-devel

* Mon Jul 12 2004 Rex Dieter <rexdieter at sf.net> 0.41-0.fdr.1
- 0.41

* Sun Apr 04 2004 Rex Dieter <rexdieter at sf.net> 0.3-0.fdr.0
- 0.3

